{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumClusterwideNetworkPolicy
metadata:
  name: allow-microsoft-oidc-login
spec:
  endpointSelector: {}
  egress:
  - toFQDNs:
    - matchName: login.microsoftonline.com
    - matchPattern: '*.microsoftonline.com'
{{- end }}
